# Responses

## List Responses

> List all Responses items.\
> \
> Response is an operation response entry including status code, MIME type, payload shape, examples, and headers.

```json
{"openapi":"3.1.0","info":{"title":"Appear API","version":"2.0.0"},"tags":[{"name":"Responses"}],"servers":[{"url":"https://api.appear.sh","description":"Primary public endpoint"}],"security":[{"projectApiKey":[]},{"personalAccessToken":[]}],"components":{"securitySchemes":{"projectApiKey":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"Project API key authentication. Use your project API key as a Bearer token in the Authorization header."},"personalAccessToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Personal access token authentication. Use your personal access token as a Bearer token in the Authorization header. Suitable for MCP integrations, CLI tools, and other OAuth flows."}},"parameters":{"versionId":{"schema":{"$ref":"#/components/schemas/versionId"},"required":true,"description":"Catalog version identifier","in":"path","name":"versionId"}},"schemas":{"versionId":{"type":"string","minLength":30,"maxLength":30,"description":"Catalog version identifier"},"Response":{"type":"object","properties":{"id":{"type":"string","minLength":30,"maxLength":30,"default":"res_agpf42ylcfymdjwxv55hg5pfgm","description":"Object ID with prefix \"res_\""},"operationId":{"type":"string","minLength":29,"maxLength":29,"description":"Object ID with prefix \"op_\""},"statusCode":{"anyOf":[{"type":"null"},{"type":["number","null"]}],"description":"HTTP status code; null denotes the default response."},"description":{"type":"string","description":"Markdown description of the response."},"descriptionBlocks":{"anyOf":[{"$ref":"#/components/schemas/ProseMirrorContentSchema"},{"type":"array","items":{"$ref":"#/components/schemas/ProseMirrorContentSchema"}}],"description":"Response description in ProseMirror JSON format."},"contentMediaType":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"MIME type of the response body (for example, application/json); null means the response has no body."},"schema":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["object"]},"properties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"required":{"type":"array","items":{"type":"string"}},"default":{"type":"object","properties":{},"additionalProperties":{}},"enum":{"type":"array","items":{"type":"object","properties":{},"additionalProperties":{}}},"const":{"type":"object","properties":{},"additionalProperties":{}},"patternProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"additionalProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"unevaluatedProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"propertyNames":{"$ref":"#/components/schemas/AnyJsonSchema"},"minProperties":{"type":"number"},"maxProperties":{"type":"number"},"dependentRequired":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"dependentSchemas":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"dependencies":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"array","items":{"type":"string"}}]}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["array"]},"items":{"$ref":"#/components/schemas/AnyJsonSchema"},"unevaluatedItems":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"boolean","enum":[false]}]},"default":{"type":"array","items":{}},"enum":{"type":"array","items":{"type":"array","items":{}}},"const":{"type":"array","items":{}},"contains":{"$ref":"#/components/schemas/AnyJsonSchema"},"minContains":{"type":"number"},"maxContains":{"type":"number"},"minItems":{"type":"number"},"maxItems":{"type":"number"},"uniqueItems":{"type":"boolean","enum":[true]},"prefixItems":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["number"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["integer"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["string"]},"default":{"type":"string"},"enum":{"type":"array","items":{"type":"string"}},"const":{"type":"string"},"minLength":{"type":"number"},"maxLength":{"type":"number"},"pattern":{"type":"string"},"format":{"type":"string"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["boolean"]},"default":{"type":"boolean"},"enum":{"type":"array","items":{"type":"boolean"}},"const":{"type":"boolean"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["null"]},"default":{"type":"null"},"enum":{"type":"array","items":{"type":"null"}},"const":{"type":"null"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"}}}],"description":"Structured shape of the response payload (types, required fields, constraints)."},"kvStorage":{"type":"object","additionalProperties":{},"default":{},"description":"Custom metadata captured from the response definition."},"headers":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/InlineHeader"},{"$ref":"#/components/schemas/ResponseHeaderRef"}]},"default":{},"description":"Headers returned with the response, keyed by header name."},"versionId":{"type":"string","minLength":30,"maxLength":30,"description":"Object ID with prefix \"ver_\""},"updatedAt":{"type":["string","null"],"format":"date-time","default":"2026-05-25T09:15:34.033Z"}},"required":["operationId","versionId"],"description":"Response is an operation response entry including status code, MIME type, payload shape, examples, and headers."},"ProseMirrorContentSchema":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"type":"object","additionalProperties":{}},"content":{"type":"array","items":{"$ref":"#/components/schemas/ProseMirrorContentSchema"}},"marks":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"type":"object","additionalProperties":{}}},"required":["type"],"additionalProperties":{}}},"text":{"type":"string"}},"additionalProperties":{},"description":"A recursive schema modeling ProseMirror document/node structure. It mirrors the ProseMirror JSON format as described at https://prosemirror.net/docs/guide/#schema.serialization. Each node may contain a `type`, optional `attrs`, children in `content`, formatting `marks`, and inline `text`."},"AnyJsonSchema":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["object"]},"properties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"required":{"type":"array","items":{"type":"string"}},"default":{"type":"object","properties":{},"additionalProperties":{}},"enum":{"type":"array","items":{"type":"object","properties":{},"additionalProperties":{}}},"const":{"type":"object","properties":{},"additionalProperties":{}},"patternProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"additionalProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"unevaluatedProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"propertyNames":{"$ref":"#/components/schemas/AnyJsonSchema"},"minProperties":{"type":"number"},"maxProperties":{"type":"number"},"dependentRequired":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"dependentSchemas":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"dependencies":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"array","items":{"type":"string"}}]}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["array"]},"items":{"$ref":"#/components/schemas/AnyJsonSchema"},"unevaluatedItems":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"boolean","enum":[false]}]},"default":{"type":"array","items":{}},"enum":{"type":"array","items":{"type":"array","items":{}}},"const":{"type":"array","items":{}},"contains":{"$ref":"#/components/schemas/AnyJsonSchema"},"minContains":{"type":"number"},"maxContains":{"type":"number"},"minItems":{"type":"number"},"maxItems":{"type":"number"},"uniqueItems":{"type":"boolean","enum":[true]},"prefixItems":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["number"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["integer"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["string"]},"default":{"type":"string"},"enum":{"type":"array","items":{"type":"string"}},"const":{"type":"string"},"minLength":{"type":"number"},"maxLength":{"type":"number"},"pattern":{"type":"string"},"format":{"type":"string"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["boolean"]},"default":{"type":"boolean"},"enum":{"type":"array","items":{"type":"boolean"}},"const":{"type":"boolean"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["null"]},"default":{"type":"null"},"enum":{"type":"array","items":{"type":"null"}},"const":{"type":"null"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"}}}],"description":"JSON Schema for any data type."},"InlineHeader":{"type":"object","properties":{"description":{"type":"string","description":"Header description when defined inline on a request/response."},"required":{"type":"boolean","default":false},"deprecated":{"type":"boolean","default":false},"schema":{"$ref":"#/components/schemas/AnyJsonSchema"}},"description":"Inline header definition used inside requests or responses."},"ResponseHeaderRef":{"type":"object","properties":{"$ref":{"type":"string"}},"required":["$ref"],"description":"Reference to a reusable header component."},"PaginationMetadata":{"type":"object","properties":{"nextCursor":{"type":["string","null"]},"hasMore":{"type":"boolean"},"limit":{"type":"number"}},"required":["nextCursor","hasMore","limit"],"description":"Pagination metadata"}},"responses":{"BadRequestError":{"description":"Invalid request","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"UnauthorizedError":{"description":"Unauthorized","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"ForbiddenError":{"description":"Forbidden","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"InternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}}}},"paths":{"/v2/catalog/versions/{versionId}/responses":{"get":{"summary":"List Responses","description":"List all Responses items.\n\nResponse is an operation response entry including status code, MIME type, payload shape, examples, and headers.","operationId":"list-responses","tags":["Responses"],"parameters":[{"$ref":"#/components/parameters/versionId"},{"schema":{"type":"string","description":"Cursor for pagination (item ID)"},"required":false,"description":"Cursor for pagination (item ID)","name":"after","in":"query"},{"schema":{"type":"integer","minimum":1,"maximum":1000,"default":50,"description":"Maximum number of items to return (default: 50, max: 1000)"},"required":false,"description":"Maximum number of items to return (default: 50, max: 1000)","name":"limit","in":"query"},{"schema":{"anyOf":[{"type":"string"},{"type":"array","items":{"type":"string"}}],"description":"Sort order. Use 'prop' for ascending, '-prop' for descending. Multiple params supported (e.g. sort=name&sort=-createdAt)"},"required":false,"description":"Sort order. Use 'prop' for ascending, '-prop' for descending. Multiple params supported (e.g. sort=name&sort=-createdAt)","name":"sort","in":"query"}],"responses":{"200":{"description":"List of Responses","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Response"}},"pagination":{"$ref":"#/components/schemas/PaginationMetadata"}},"required":["items","pagination"],"description":"Responses collection"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```

## Create Response

> Create a new Response item.\
> \
> Response is an operation response entry including status code, MIME type, payload shape, examples, and headers.

```json
{"openapi":"3.1.0","info":{"title":"Appear API","version":"2.0.0"},"tags":[{"name":"Responses"}],"servers":[{"url":"https://api.appear.sh","description":"Primary public endpoint"}],"security":[{"projectApiKey":[]},{"personalAccessToken":[]}],"components":{"securitySchemes":{"projectApiKey":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"Project API key authentication. Use your project API key as a Bearer token in the Authorization header."},"personalAccessToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Personal access token authentication. Use your personal access token as a Bearer token in the Authorization header. Suitable for MCP integrations, CLI tools, and other OAuth flows."}},"parameters":{"versionId":{"schema":{"$ref":"#/components/schemas/versionId"},"required":true,"description":"Catalog version identifier","in":"path","name":"versionId"}},"schemas":{"versionId":{"type":"string","minLength":30,"maxLength":30,"description":"Catalog version identifier"},"Response":{"type":"object","properties":{"id":{"type":"string","minLength":30,"maxLength":30,"default":"res_agpf42ylcfymdjwxv55hg5pfgm","description":"Object ID with prefix \"res_\""},"operationId":{"type":"string","minLength":29,"maxLength":29,"description":"Object ID with prefix \"op_\""},"statusCode":{"anyOf":[{"type":"null"},{"type":["number","null"]}],"description":"HTTP status code; null denotes the default response."},"description":{"type":"string","description":"Markdown description of the response."},"descriptionBlocks":{"anyOf":[{"$ref":"#/components/schemas/ProseMirrorContentSchema"},{"type":"array","items":{"$ref":"#/components/schemas/ProseMirrorContentSchema"}}],"description":"Response description in ProseMirror JSON format."},"contentMediaType":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"MIME type of the response body (for example, application/json); null means the response has no body."},"schema":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["object"]},"properties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"required":{"type":"array","items":{"type":"string"}},"default":{"type":"object","properties":{},"additionalProperties":{}},"enum":{"type":"array","items":{"type":"object","properties":{},"additionalProperties":{}}},"const":{"type":"object","properties":{},"additionalProperties":{}},"patternProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"additionalProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"unevaluatedProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"propertyNames":{"$ref":"#/components/schemas/AnyJsonSchema"},"minProperties":{"type":"number"},"maxProperties":{"type":"number"},"dependentRequired":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"dependentSchemas":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"dependencies":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"array","items":{"type":"string"}}]}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["array"]},"items":{"$ref":"#/components/schemas/AnyJsonSchema"},"unevaluatedItems":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"boolean","enum":[false]}]},"default":{"type":"array","items":{}},"enum":{"type":"array","items":{"type":"array","items":{}}},"const":{"type":"array","items":{}},"contains":{"$ref":"#/components/schemas/AnyJsonSchema"},"minContains":{"type":"number"},"maxContains":{"type":"number"},"minItems":{"type":"number"},"maxItems":{"type":"number"},"uniqueItems":{"type":"boolean","enum":[true]},"prefixItems":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["number"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["integer"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["string"]},"default":{"type":"string"},"enum":{"type":"array","items":{"type":"string"}},"const":{"type":"string"},"minLength":{"type":"number"},"maxLength":{"type":"number"},"pattern":{"type":"string"},"format":{"type":"string"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["boolean"]},"default":{"type":"boolean"},"enum":{"type":"array","items":{"type":"boolean"}},"const":{"type":"boolean"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["null"]},"default":{"type":"null"},"enum":{"type":"array","items":{"type":"null"}},"const":{"type":"null"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"}}}],"description":"Structured shape of the response payload (types, required fields, constraints)."},"kvStorage":{"type":"object","additionalProperties":{},"default":{},"description":"Custom metadata captured from the response definition."},"headers":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/InlineHeader"},{"$ref":"#/components/schemas/ResponseHeaderRef"}]},"default":{},"description":"Headers returned with the response, keyed by header name."},"versionId":{"type":"string","minLength":30,"maxLength":30,"description":"Object ID with prefix \"ver_\""},"updatedAt":{"type":["string","null"],"format":"date-time","default":"2026-05-25T09:15:34.033Z"}},"required":["operationId","versionId"],"description":"Response is an operation response entry including status code, MIME type, payload shape, examples, and headers."},"ProseMirrorContentSchema":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"type":"object","additionalProperties":{}},"content":{"type":"array","items":{"$ref":"#/components/schemas/ProseMirrorContentSchema"}},"marks":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"type":"object","additionalProperties":{}}},"required":["type"],"additionalProperties":{}}},"text":{"type":"string"}},"additionalProperties":{},"description":"A recursive schema modeling ProseMirror document/node structure. It mirrors the ProseMirror JSON format as described at https://prosemirror.net/docs/guide/#schema.serialization. Each node may contain a `type`, optional `attrs`, children in `content`, formatting `marks`, and inline `text`."},"AnyJsonSchema":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["object"]},"properties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"required":{"type":"array","items":{"type":"string"}},"default":{"type":"object","properties":{},"additionalProperties":{}},"enum":{"type":"array","items":{"type":"object","properties":{},"additionalProperties":{}}},"const":{"type":"object","properties":{},"additionalProperties":{}},"patternProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"additionalProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"unevaluatedProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"propertyNames":{"$ref":"#/components/schemas/AnyJsonSchema"},"minProperties":{"type":"number"},"maxProperties":{"type":"number"},"dependentRequired":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"dependentSchemas":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"dependencies":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"array","items":{"type":"string"}}]}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["array"]},"items":{"$ref":"#/components/schemas/AnyJsonSchema"},"unevaluatedItems":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"boolean","enum":[false]}]},"default":{"type":"array","items":{}},"enum":{"type":"array","items":{"type":"array","items":{}}},"const":{"type":"array","items":{}},"contains":{"$ref":"#/components/schemas/AnyJsonSchema"},"minContains":{"type":"number"},"maxContains":{"type":"number"},"minItems":{"type":"number"},"maxItems":{"type":"number"},"uniqueItems":{"type":"boolean","enum":[true]},"prefixItems":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["number"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["integer"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["string"]},"default":{"type":"string"},"enum":{"type":"array","items":{"type":"string"}},"const":{"type":"string"},"minLength":{"type":"number"},"maxLength":{"type":"number"},"pattern":{"type":"string"},"format":{"type":"string"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["boolean"]},"default":{"type":"boolean"},"enum":{"type":"array","items":{"type":"boolean"}},"const":{"type":"boolean"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["null"]},"default":{"type":"null"},"enum":{"type":"array","items":{"type":"null"}},"const":{"type":"null"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"}}}],"description":"JSON Schema for any data type."},"InlineHeader":{"type":"object","properties":{"description":{"type":"string","description":"Header description when defined inline on a request/response."},"required":{"type":"boolean","default":false},"deprecated":{"type":"boolean","default":false},"schema":{"$ref":"#/components/schemas/AnyJsonSchema"}},"description":"Inline header definition used inside requests or responses."},"ResponseHeaderRef":{"type":"object","properties":{"$ref":{"type":"string"}},"required":["$ref"],"description":"Reference to a reusable header component."}},"responses":{"BadRequestError":{"description":"Invalid request","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"UnauthorizedError":{"description":"Unauthorized","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"ForbiddenError":{"description":"Forbidden","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"ConflictError":{"description":"Conflict","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"InternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}}}},"paths":{"/v2/catalog/versions/{versionId}/responses":{"post":{"summary":"Create Response","description":"Create a new Response item.\n\nResponse is an operation response entry including status code, MIME type, payload shape, examples, and headers.","operationId":"create-response","tags":["Responses"],"parameters":[{"$ref":"#/components/parameters/versionId"}],"requestBody":{"description":"Payload to create a new Response item","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}},"responses":{"201":{"description":"Response created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"409":{"$ref":"#/components/responses/ConflictError"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```

## Get Response

> Get a Response item by its id.\
> \
> Response is an operation response entry including status code, MIME type, payload shape, examples, and headers.

```json
{"openapi":"3.1.0","info":{"title":"Appear API","version":"2.0.0"},"tags":[{"name":"Responses"}],"servers":[{"url":"https://api.appear.sh","description":"Primary public endpoint"}],"security":[{"projectApiKey":[]},{"personalAccessToken":[]}],"components":{"securitySchemes":{"projectApiKey":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"Project API key authentication. Use your project API key as a Bearer token in the Authorization header."},"personalAccessToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Personal access token authentication. Use your personal access token as a Bearer token in the Authorization header. Suitable for MCP integrations, CLI tools, and other OAuth flows."}},"parameters":{"versionId":{"schema":{"$ref":"#/components/schemas/versionId"},"required":true,"description":"Catalog version identifier","in":"path","name":"versionId"}},"schemas":{"versionId":{"type":"string","minLength":30,"maxLength":30,"description":"Catalog version identifier"},"Response":{"type":"object","properties":{"id":{"type":"string","minLength":30,"maxLength":30,"default":"res_agpf42ylcfymdjwxv55hg5pfgm","description":"Object ID with prefix \"res_\""},"operationId":{"type":"string","minLength":29,"maxLength":29,"description":"Object ID with prefix \"op_\""},"statusCode":{"anyOf":[{"type":"null"},{"type":["number","null"]}],"description":"HTTP status code; null denotes the default response."},"description":{"type":"string","description":"Markdown description of the response."},"descriptionBlocks":{"anyOf":[{"$ref":"#/components/schemas/ProseMirrorContentSchema"},{"type":"array","items":{"$ref":"#/components/schemas/ProseMirrorContentSchema"}}],"description":"Response description in ProseMirror JSON format."},"contentMediaType":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"MIME type of the response body (for example, application/json); null means the response has no body."},"schema":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["object"]},"properties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"required":{"type":"array","items":{"type":"string"}},"default":{"type":"object","properties":{},"additionalProperties":{}},"enum":{"type":"array","items":{"type":"object","properties":{},"additionalProperties":{}}},"const":{"type":"object","properties":{},"additionalProperties":{}},"patternProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"additionalProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"unevaluatedProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"propertyNames":{"$ref":"#/components/schemas/AnyJsonSchema"},"minProperties":{"type":"number"},"maxProperties":{"type":"number"},"dependentRequired":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"dependentSchemas":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"dependencies":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"array","items":{"type":"string"}}]}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["array"]},"items":{"$ref":"#/components/schemas/AnyJsonSchema"},"unevaluatedItems":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"boolean","enum":[false]}]},"default":{"type":"array","items":{}},"enum":{"type":"array","items":{"type":"array","items":{}}},"const":{"type":"array","items":{}},"contains":{"$ref":"#/components/schemas/AnyJsonSchema"},"minContains":{"type":"number"},"maxContains":{"type":"number"},"minItems":{"type":"number"},"maxItems":{"type":"number"},"uniqueItems":{"type":"boolean","enum":[true]},"prefixItems":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["number"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["integer"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["string"]},"default":{"type":"string"},"enum":{"type":"array","items":{"type":"string"}},"const":{"type":"string"},"minLength":{"type":"number"},"maxLength":{"type":"number"},"pattern":{"type":"string"},"format":{"type":"string"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["boolean"]},"default":{"type":"boolean"},"enum":{"type":"array","items":{"type":"boolean"}},"const":{"type":"boolean"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["null"]},"default":{"type":"null"},"enum":{"type":"array","items":{"type":"null"}},"const":{"type":"null"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"}}}],"description":"Structured shape of the response payload (types, required fields, constraints)."},"kvStorage":{"type":"object","additionalProperties":{},"default":{},"description":"Custom metadata captured from the response definition."},"headers":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/InlineHeader"},{"$ref":"#/components/schemas/ResponseHeaderRef"}]},"default":{},"description":"Headers returned with the response, keyed by header name."},"versionId":{"type":"string","minLength":30,"maxLength":30,"description":"Object ID with prefix \"ver_\""},"updatedAt":{"type":["string","null"],"format":"date-time","default":"2026-05-25T09:15:34.033Z"}},"required":["operationId","versionId"],"description":"Response is an operation response entry including status code, MIME type, payload shape, examples, and headers."},"ProseMirrorContentSchema":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"type":"object","additionalProperties":{}},"content":{"type":"array","items":{"$ref":"#/components/schemas/ProseMirrorContentSchema"}},"marks":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"type":"object","additionalProperties":{}}},"required":["type"],"additionalProperties":{}}},"text":{"type":"string"}},"additionalProperties":{},"description":"A recursive schema modeling ProseMirror document/node structure. It mirrors the ProseMirror JSON format as described at https://prosemirror.net/docs/guide/#schema.serialization. Each node may contain a `type`, optional `attrs`, children in `content`, formatting `marks`, and inline `text`."},"AnyJsonSchema":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["object"]},"properties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"required":{"type":"array","items":{"type":"string"}},"default":{"type":"object","properties":{},"additionalProperties":{}},"enum":{"type":"array","items":{"type":"object","properties":{},"additionalProperties":{}}},"const":{"type":"object","properties":{},"additionalProperties":{}},"patternProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"additionalProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"unevaluatedProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"propertyNames":{"$ref":"#/components/schemas/AnyJsonSchema"},"minProperties":{"type":"number"},"maxProperties":{"type":"number"},"dependentRequired":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"dependentSchemas":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"dependencies":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"array","items":{"type":"string"}}]}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["array"]},"items":{"$ref":"#/components/schemas/AnyJsonSchema"},"unevaluatedItems":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"boolean","enum":[false]}]},"default":{"type":"array","items":{}},"enum":{"type":"array","items":{"type":"array","items":{}}},"const":{"type":"array","items":{}},"contains":{"$ref":"#/components/schemas/AnyJsonSchema"},"minContains":{"type":"number"},"maxContains":{"type":"number"},"minItems":{"type":"number"},"maxItems":{"type":"number"},"uniqueItems":{"type":"boolean","enum":[true]},"prefixItems":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["number"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["integer"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["string"]},"default":{"type":"string"},"enum":{"type":"array","items":{"type":"string"}},"const":{"type":"string"},"minLength":{"type":"number"},"maxLength":{"type":"number"},"pattern":{"type":"string"},"format":{"type":"string"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["boolean"]},"default":{"type":"boolean"},"enum":{"type":"array","items":{"type":"boolean"}},"const":{"type":"boolean"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["null"]},"default":{"type":"null"},"enum":{"type":"array","items":{"type":"null"}},"const":{"type":"null"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"}}}],"description":"JSON Schema for any data type."},"InlineHeader":{"type":"object","properties":{"description":{"type":"string","description":"Header description when defined inline on a request/response."},"required":{"type":"boolean","default":false},"deprecated":{"type":"boolean","default":false},"schema":{"$ref":"#/components/schemas/AnyJsonSchema"}},"description":"Inline header definition used inside requests or responses."},"ResponseHeaderRef":{"type":"object","properties":{"$ref":{"type":"string"}},"required":["$ref"],"description":"Reference to a reusable header component."}},"responses":{"BadRequestError":{"description":"Invalid request","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"UnauthorizedError":{"description":"Unauthorized","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"ForbiddenError":{"description":"Forbidden","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"NotFoundErrorResponse":{"description":"Response not found","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}},"InternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$schema":"https://json-schema.org/draft/2020-12/schema","type":"object","properties":{"error":{"type":"string"},"details":{}},"required":["error"],"additionalProperties":false}}}}}},"paths":{"/v2/catalog/versions/{versionId}/responses/{id}":{"get":{"summary":"Get Response","description":"Get a Response item by its id.\n\nResponse is an operation response entry including status code, MIME type, payload shape, examples, and headers.","operationId":"get-response-by-id","tags":["Responses"],"parameters":[{"$ref":"#/components/parameters/versionId"},{"schema":{"type":"string","minLength":30,"maxLength":30,"description":"Response identifier"},"required":true,"description":"Response identifier","name":"id","in":"path"}],"responses":{"200":{"description":"Response details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}},"400":{"$ref":"#/components/responses/BadRequestError"},"401":{"$ref":"#/components/responses/UnauthorizedError"},"403":{"$ref":"#/components/responses/ForbiddenError"},"404":{"$ref":"#/components/responses/NotFoundErrorResponse"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```

## Replace Response

> Completely replaces a Response item by its id.\
> \
> Response is an operation response entry including status code, MIME type, payload shape, examples, and headers.

```json
{"openapi":"3.1.0","info":{"title":"Appear API","version":"2.0.0"},"tags":[{"name":"Responses"}],"servers":[{"url":"https://api.appear.sh","description":"Primary public endpoint"}],"security":[{"projectApiKey":[]},{"personalAccessToken":[]}],"components":{"securitySchemes":{"projectApiKey":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"Project API key authentication. Use your project API key as a Bearer token in the Authorization header."},"personalAccessToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Personal access token authentication. Use your personal access token as a Bearer token in the Authorization header. Suitable for MCP integrations, CLI tools, and other OAuth flows."}},"parameters":{"versionId":{"schema":{"$ref":"#/components/schemas/versionId"},"required":true,"description":"Catalog version identifier","in":"path","name":"versionId"}},"schemas":{"versionId":{"type":"string","minLength":30,"maxLength":30,"description":"Catalog version identifier"},"Response":{"type":"object","properties":{"id":{"type":"string","minLength":30,"maxLength":30,"default":"res_agpf42ylcfymdjwxv55hg5pfgm","description":"Object ID with prefix \"res_\""},"operationId":{"type":"string","minLength":29,"maxLength":29,"description":"Object ID with prefix \"op_\""},"statusCode":{"anyOf":[{"type":"null"},{"type":["number","null"]}],"description":"HTTP status code; null denotes the default response."},"description":{"type":"string","description":"Markdown description of the response."},"descriptionBlocks":{"anyOf":[{"$ref":"#/components/schemas/ProseMirrorContentSchema"},{"type":"array","items":{"$ref":"#/components/schemas/ProseMirrorContentSchema"}}],"description":"Response description in ProseMirror JSON format."},"contentMediaType":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"MIME type of the response body (for example, application/json); null means the response has no body."},"schema":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["object"]},"properties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"required":{"type":"array","items":{"type":"string"}},"default":{"type":"object","properties":{},"additionalProperties":{}},"enum":{"type":"array","items":{"type":"object","properties":{},"additionalProperties":{}}},"const":{"type":"object","properties":{},"additionalProperties":{}},"patternProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"additionalProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"unevaluatedProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"propertyNames":{"$ref":"#/components/schemas/AnyJsonSchema"},"minProperties":{"type":"number"},"maxProperties":{"type":"number"},"dependentRequired":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"dependentSchemas":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"dependencies":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"array","items":{"type":"string"}}]}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["array"]},"items":{"$ref":"#/components/schemas/AnyJsonSchema"},"unevaluatedItems":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"boolean","enum":[false]}]},"default":{"type":"array","items":{}},"enum":{"type":"array","items":{"type":"array","items":{}}},"const":{"type":"array","items":{}},"contains":{"$ref":"#/components/schemas/AnyJsonSchema"},"minContains":{"type":"number"},"maxContains":{"type":"number"},"minItems":{"type":"number"},"maxItems":{"type":"number"},"uniqueItems":{"type":"boolean","enum":[true]},"prefixItems":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["number"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["integer"]},"default":{"type":"number"},"enum":{"type":"array","items":{"type":"number"}},"const":{"type":"number"},"minimum":{"type":"number"},"maximum":{"type":"number"},"exclusiveMinimum":{"type":"boolean"},"exclusiveMaximum":{"type":"boolean"},"multipleOf":{"type":"number"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["string"]},"default":{"type":"string"},"enum":{"type":"array","items":{"type":"string"}},"const":{"type":"string"},"minLength":{"type":"number"},"maxLength":{"type":"number"},"pattern":{"type":"string"},"format":{"type":"string"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["boolean"]},"default":{"type":"boolean"},"enum":{"type":"array","items":{"type":"boolean"}},"const":{"type":"boolean"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["null"]},"default":{"type":"null"},"enum":{"type":"array","items":{"type":"null"}},"const":{"type":"null"}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"}}}],"description":"Structured shape of the response payload (types, required fields, constraints)."},"kvStorage":{"type":"object","additionalProperties":{},"default":{},"description":"Custom metadata captured from the response definition."},"headers":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/InlineHeader"},{"$ref":"#/components/schemas/ResponseHeaderRef"}]},"default":{},"description":"Headers returned with the response, keyed by header name."},"versionId":{"type":"string","minLength":30,"maxLength":30,"description":"Object ID with prefix \"ver_\""},"updatedAt":{"type":["string","null"],"format":"date-time","default":"2026-05-25T09:15:34.033Z"}},"required":["operationId","versionId"],"description":"Response is an operation response entry including status code, MIME type, payload shape, examples, and headers."},"ProseMirrorContentSchema":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"type":"object","additionalProperties":{}},"content":{"type":"array","items":{"$ref":"#/components/schemas/ProseMirrorContentSchema"}},"marks":{"type":"array","items":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"type":"object","additionalProperties":{}}},"required":["type"],"additionalProperties":{}}},"text":{"type":"string"}},"additionalProperties":{},"description":"A recursive schema modeling ProseMirror document/node structure. It mirrors the ProseMirror JSON format as described at https://prosemirror.net/docs/guide/#schema.serialization. Each node may contain a `type`, optional `attrs`, children in `content`, formatting `marks`, and inline `text`."},"AnyJsonSchema":{"anyOf":[{"type":"object","properties":{"type":{"type":"string","enum":["object"]},"properties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"required":{"type":"array","items":{"type":"string"}},"default":{"type":"object","properties":{},"additionalProperties":{}},"enum":{"type":"array","items":{"type":"object","properties":{},"additionalProperties":{}}},"const":{"type":"object","properties":{},"additionalProperties":{}},"patternProperties":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"additionalProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"unevaluatedProperties":{"anyOf":[{"type":"boolean","enum":[false]},{"$ref":"#/components/schemas/AnyJsonSchema"}]},"propertyNames":{"$ref":"#/components/schemas/AnyJsonSchema"},"minProperties":{"type":"number"},"maxProperties":{"type":"number"},"dependentRequired":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"dependentSchemas":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"dependencies":{"type":"object","additionalProperties":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"array","items":{"type":"string"}}]}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dynamicRef":{"type":"string"},"$dynamicAnchor":{"type":"string"},"$anchor":{"type":"string"},"if":{"$ref":"#/components/schemas/AnyJsonSchema"},"then":{"$ref":"#/components/schemas/AnyJsonSchema"},"else":{"$ref":"#/components/schemas/AnyJsonSchema"},"allOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"anyOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"oneOf":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}},"not":{"$ref":"#/components/schemas/AnyJsonSchema"},"title":{"type":"string"},"description":{"type":"string"},"deprecated":{"type":"boolean"},"readOnly":{"type":"boolean"},"writeOnly":{"type":"boolean"},"type":{"type":"string","enum":["array"]},"items":{"$ref":"#/components/schemas/AnyJsonSchema"},"unevaluatedItems":{"anyOf":[{"$ref":"#/components/schemas/AnyJsonSchema"},{"type":"boolean","enum":[false]}]},"default":{"type":"array","items":{}},"enum":{"type":"array","items":{"type":"array","items":{}}},"const":{"type":"array","items":{}},"contains":{"$ref":"#/components/schemas/AnyJsonSchema"},"minContains":{"type":"number"},"maxContains":{"type":"number"},"minItems":{"type":"number"},"maxItems":{"type":"number"},"uniqueItems":{"type":"boolean","enum":[true]},"prefixItems":{"type":"array","items":{"$ref":"#/components/schemas/AnyJsonSchema"}}},"required":["type"]},{"type":"object","properties":{"$schema":{"type":"string"},"$id":{"type":"string"},"$ref":{"type":"string"},"$comment":{"type":"string"},"$defs":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/AnyJsonSchema"}},"$vocabulary":{"type":"object","additionalProperties":{"type":"boolean"}},"$dyna
[...]
